> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pricing info of a ticket rate given a quantity of tickets

> Get ticket rate pricing info by id



## OpenAPI

````yaml get /ticket-rates/{id}/pricing-info
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /ticket-rates/{id}/pricing-info:
    get:
      tags:
        - TicketRates
      summary: Get pricing info of a ticket rate given a quantity of tickets
      description: Get ticket rate pricing info by id
      operationId: getTicketRatePricingInfoById
      parameters:
        - name: id
          in: path
          description: Ticket rate id
          required: true
          schema:
            example: abcde12345
            type: string
        - name: quantity
          in: query
          description: Quantity of tickets to retrieve the pricing information
          required: true
          schema:
            example: 2
            type: number
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        price_id:
                          type: string
                          example: priceabcde12345
                        ticket_type_id:
                          example: abcde12345
                          type: string
                        price:
                          type: number
                          example: 10
                        fee_type:
                          type: string
                          example: percentage
                        fee_quantity:
                          type: number
                          example: 7
                  success:
                    type: boolean
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````